# Copyright (c) 2022, JINGROW and Contributors
# MIT License. See license.txt

import jingrow


def execute():
	pagetypes = jingrow.get_all("PageType", {"module": "Data Migration", "custom": 0}, pluck="name")
	for pagetype in pagetypes:
		jingrow.delete_pg("PageType", pagetype, ignore_missing=True)

	jingrow.delete_pg("Module Def", "Data Migration", ignore_missing=True, force=True)
